<!--
James Luke

index.php is the landing page for the website
It provides a log in form and a link to 

Modification History:
Revision 1: 10/17
Revision 2: 10/23
Revision 3: 11/21
-->

<html>
<head>
	<script src="//ajax.googleapis.com/ajax/libs/jquery/2.1.1/jquery.min.js"></script>
	<script>
		//this is called whenever the submit button is clicked
		function call() {

		//lets make the POST request with their information from the form
		var request = $.post("login.php",

  		{
   			username: $("#user").val(),
   			password: $("#pass").val()
  		},

 		 function(json){
 		 	//this is the callback from the POST request

 		 	//update the div with the response
			$("div.response").html(json.message);

			//When the log in was successful, redirect to the dashboard interface
			if(json.success === "success")
				window.location.replace("/user.php");

		},

		"json"); // specifiy that we expect JSON in return

		}
	</script>
</head>
<body>
<h1>Log Into OHMS</h1>

	<form id="loginForm" name="loginForm" method="post">
 		<p>Username: <input type="text" id="user" maxlength="16" name="username" /></p>
 		<p>Password: <input type="password" id="pass" maxlength="30" name="password" /></p>
	</form>

	<!-- this triggers the POST call into login.php -->
	<p><input type="button" value="login" onclick="call();" /></p>
	<div class="response"></div>

	<br>

	<a href="reg_form.php">Click here to create an account</a>

</body>
</html>