	<script>
	// Authors: Jonathan Carelli & James Luke
	// Chat page and functions for doctors page
		
		// This functions takes the string in the message box and runs a function to send it to the database.
		function message() {
			var request = $.post("chat-actions.php",

			{
				action: "message",
				to: $("#to").val(),
				message: $("#message").val(),

			},

			 function(data){

				$("div.response").html(data);

			});
			getHistory();
		}
		
		// This function gets the history from the database and displays it in the history box.
		function getHistory() {
			var request = $.post("chat-actions.php",

			{
				action: "history",
				from: $("#to").val()
			},

			 function(json){

				$("div.convo").html("");

				var parsed = json;
				
				var output ="";
				
				// Parsing through the json array and doing some string manipulation to show the correct time.
				for(var i in parsed)
				{
					var subDate = parsed[i].date;
					var getHour = subDate.substring(11, 13);
					var hourToInt = (parseInt(getHour)+19) % 24;
					var intToHour = hourToInt.toString();
					if (intToHour.length == 1){
						intToHour = "0" + intToHour;
					}
					var res = subDate.substring(0, 10);
					var res1 = subDate.substring(13, 19);
					var newDate = res + " - " + intToHour + res1;
					output += "[ " + newDate + " ] - [ " + parsed[i].from + " ]: " + parsed[i].message + "\n";
				} 
						
				$("textarea.convo").html(output);
				
				var textarea = document.getElementById('convo');
				textarea.scrollTop = textarea.scrollHeight;

			},

			"json"); //specify we are getting json in return

		}
		
		// load history on pageload
		$( document ).ready(function() {
			getHistory();

			$("#message").keypress(function(event) {
			    if (event.which == 13) {
			        event.preventDefault();
			        $("#clear").click();
			    }
			});
		});
		
		// refresh history every x seconds
		window.setInterval(function(){
			if ($('.menu-bar .item1').hasClass('active'))
				getHistory();
		}, 2000);
		
		// Clears message window on button click
		var input = document.querySelector('#clear');
		var textarea = document.querySelector('#message');
		input.addEventListener('click', function () {
			textarea.value = '';
		}, false);
		
	</script>

	<?php
		session_start();

		if(!isset($_SESSION['user'])) {
			echo 'Error: not logged in. Log in <a href="index.php">here</a>.';
			die;
		}


	?>
	<h1 style="color:#85A3C2;margin-left:30px;margin-top:30px;font-family: Arial">Messages</h1>
	<p style="margin-left:30px; font-family: Arial; font-weight: bold;">To: <br><input type="text" maxlength="30" id="to" name="to" style ="font-weight: normal;" value="user"/></p>
	<p style="margin-left:30px;font-family: Arial; font-weight: bold;">History: <br> <textarea readonly rows="6" cols="70" type="text" maxlength="1000" class="convo" id="convo" name="convo" style ="font-weight: normal; font-family: Arial; font-size: 12px;"/></p>
	
 	<p style="margin-left:30px;font-family: Arial; font-weight: bold;">
 		Message: 
 		<br> <textarea rows="6" cols="70" type="text" maxlength="1000" id="message" name="message" style ="font-weight: normal; font-family: Arial; font-size: 12px;" placeholder="Type your message here..." />
 	</p>

	<p style="margin-left:30px;" >
		<input type="button" id="clear" value="Submit" onclick="message();" />
	</p>
	<!-- <p style="margin-left:30px;"><input type="button" value="Update Conversation" onclick="getHistory();" /></p> -->
	<div class="response" style="margin-left:30px;"></div>